Name:		xdpyinfo
Version:	1.3.4
Release:	%mkrel 3
Summary:	Display information utility for X
License:	MIT
Group:		Development/X11
URL:		https://www.x.org
Source0:	https://www.x.org/releases/individual/app/%{name}-%{version}.tar.xz

BuildRequires: pkgconfig(x11) >= 1.0.0
BuildRequires: pkgconfig(xext) >= 1.0.0
BuildRequires: pkgconfig(xtst) >= 1.0.1
BuildRequires: x11-util-macros >= 1.0.1
BuildRequires: pkgconfig(xxf86vm)
BuildRequires: pkgconfig(xxf86dga)
BuildRequires: pkgconfig(xi)
BuildRequires: pkgconfig(xrender)
BuildRequires: pkgconfig(xcomposite)
BuildRequires: pkgconfig(xinerama)

%description
Xdpyinfo is a utility for displaying information about an X server. It is used
to examine the capabilities of a server, the predefined values for various
parameters used in communicating between clients and the server, and the
different types of screens and visuals that are available.

%prep
%autosetup

%build
%configure	--x-includes=%{_includedir}\
		--x-libraries=%{_libdir}

%make_build

%install
%make_install

%files
%doc ChangeLog README.md
%{_bindir}/xdpyinfo
%{_mandir}/man1/xdpyinfo.*


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 1.3.4-3.mga10
+ Revision: 2218474
- Mageia 10 Mass Rebuild

* Sun Jun 11 2023 daviddavid <daviddavid> 1.3.4-2.mga9
+ Revision: 1961793
- remove also unmaintained libXp support

* Sun Jun 11 2023 daviddavid <daviddavid> 1.3.4-1.mga9
+ Revision: 1961731
- new version: 1.3.4 (mga#31867):
  * remove xf86misc support now disabled by default
  * remove DMX support now disabled by default
    Since Xserver 21 has removed DMX support, we can stop pulling in dependences
    on libdmx on systems that won't be using it

* Tue Apr 26 2022 luigiwalser <luigiwalser> 1.3.3-1.mga9
+ Revision: 1854457
- 1.3.3
- update source URL

* Fri Mar 25 2022 umeabot <umeabot> 1.3.2-5.mga9
+ Revision: 1826385
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 1.3.2-4.mga8
+ Revision: 1518621
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 1.3.2-3.mga7
+ Revision: 1301841
- Mageia 7 Mass Rebuild

* Fri Feb 12 2016 umeabot <umeabot> 1.3.2-2.mga6
+ Revision: 959246
- Mageia 6 Mass Rebuild

* Sat Jul 25 2015 blino <blino> 1.3.2-1.mga6
+ Revision: 857291
- 1.3.2

* Wed Oct 15 2014 umeabot <umeabot> 1.3.1-4.mga5
+ Revision: 746998
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.3.1-3.mga5
+ Revision: 690584
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.3.1-2.mga4
+ Revision: 525626
- Mageia 4 Mass Rebuild

* Fri May 31 2013 tv <tv> 1.3.1-1.mga4
+ Revision: 433779
- new release

* Mon Jan 14 2013 umeabot <umeabot> 1.3.0-2.mga3
+ Revision: 386728
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 17 2011 pterjan <pterjan> 1.3.0-1.mga3
+ Revision: 168630
- Update 1.3.0

* Thu Jan 20 2011 pterjan <pterjan> 1.2.0-1.mga1
+ Revision: 26773
- imported package xdpyinfo


* Mon Oct 04 2010 Thierry Vignaud <tv@mandriva.org> 1.2.0-1mdv2011.0
+ Revision: 582815
- new release

* Mon Nov 16 2009 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 1.1.0-2mdv2010.1
+ Revision: 466663
- Add libxp-devel to BuildRequires

* Wed Nov 11 2009 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 1.1.0-1mdv2010.1
+ Revision: 464806
- Fix BuildRequires (some of them are not strictly needed, but reduce package
  functionality)
- New version: 1.1.0

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 1.0.3-3mdv2009.1
+ Revision: 351201
- rebuild

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 1.0.3-2mdv2009.0
+ Revision: 266080
- rebuild early 2009.0 package (before pixel changes)

* Tue May 27 2008 Colin Guthrie <cguthrie@mandriva.org> 1.0.3-1mdv2009.0
+ Revision: 211776
- New version

  + Paulo Andrade <pcpa@mandriva.com.br>
    - Revert to use upstream tarball, build requires and remove non mandatory local patches.

* Mon Jan 21 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.0.2-2mdv2008.1
+ Revision: 155914
- Updated BuildRequires and resubmit package.

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Aug 31 2007 Adam Williamson <awilliamson@mandriva.org> 1.0.2-1mdv2008.0
+ Revision: 76437
- rebuild for 2008
- slight spec clean
- new release 1.0.2

  + Thierry Vignaud <tv@mandriva.org>
    - fix man pages extension


* Wed May 31 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-31 18:32:34 (31796)
- rebuild to fix cooker uploading

* Mon May 29 2006 Andreas Hasenack <andreas@mandriva.com>
+ 2006-05-29 14:36:37 (31646)
- renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

* Tue May 23 2006 Thierry Vignaud <tvignaud@mandriva.com>
+ 2006-05-23 22:34:52 (31402)
- fill in more missing descriptions

* Thu May 04 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-04 21:25:17 (26918)
- increment release

* Thu Apr 27 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-04-27 04:02:05 (26704)
- Adding X.org 7.0 to the repository

